import 'package:exception_tracker/core/tracker.dart';
import 'package:flutter/material.dart';

///Screenshot widget used to create screenshot of all child widgets.
class TrackerScreenshot extends StatefulWidget {
  final Widget child;
  final Tracker tracker;

  const TrackerScreenshot({
    Key? key,
    required this.child,
    required this.tracker,
  }) : super(key: key);

  @override
  State<TrackerScreenshot> createState() {
    return TrackerScreenshotState();
  }
}

///State of screenshot widget.
class TrackerScreenshotState extends State<TrackerScreenshot>
    with TickerProviderStateMixin {
  @override
  Widget build(BuildContext context) {
    return RepaintBoundary(
      key: widget.tracker.screenshotManager.containerKey,
      child: widget.child,
    );
  }
}
